/*------------------------------------------------------------------------------------------*\
\*------------------------------------------------------------------------------------------*/
#ifndef _lib_tffs_h_
#define _lib_tffs_h_


#include <linux/tffs.h>

void tffs_device(const char *device) ;
int tffs_open(int flags) ;
int tffs_close(int fd) ;
int tffs_clear_value(int fd, enum _tffs_id id) ;
int tffs_cleanup(int fd) ;
int tffs_read_value(int fd, enum _tffs_id id, void *buffer, unsigned int size) ;
int tffs_write_value(int fd, enum _tffs_id id, void *buffer, unsigned int size) ;


#endif /*--- #ifndef _lib_tffs_h_ ---*/
